2021-02-25  Aidan Kehoe  <kehoea@parhasard.net>

	* Makefile (VERSION): XEmacs package 1.35 released.

2021-01-04  root  <ht@home.hst.name>

	* lisp/bbdb-xemacs.el: (bbdb-file-coding-system): Replaced Emacs-specifics

	The version in bbdb.el always fails in XEmacs 

2014-05-15  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.34 released.

2014-05-15  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.33 released.

2014-05-13  Jerry James  <james@xemacs.org>

	* .cvsignore: Remove.
	* lisp/.cvsignore: Remove.
	* texinfo/.cvsignore: Remove.
	* .hgignore: New file.
	* lisp/*.el: Restore CVS keyword expansions.
	* texinfo/bbdb.texinfo: Ditto.  Update for texinfo 5.x.

2007-02-27  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.32 released.

2007-02-08  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.31 released.

2005-10-12  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.29 released.

2005-07-27  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.28 released.

2005-07-24  Waider        <waider@waider.ie>
	* Sync to SourceForge CVS

2005-07-24  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.27 released.

2005-05-10  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.26 released.

2004-11-08  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.25 released.

2004-09-29  Steve Youngs  <steve@youngs.au.com>

	* Makefile (REQUIRES): Add ecrypto.

2003-10-31  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.24 released.

2003-05-18  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.23 released.

2003-05-14  Vin Shelton  <acs@xemacs.org>

	* Makefile (REQUIRES): Added os-utils to find jka-compr, necessary
	to compile mhe.

2003-05-14  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.22 released.

2003-05-14  Steve Youngs  <youngs@xemacs.org>

	* Makefile (REQUIRES): Add net-utils.

2003-03-09  Ben Wing  <ben@xemacs.org>

	* Makefile (DOCS_TEXINFO_EXTENSION): New.
	Delete explicit compile:: and binkit: rules.
	Don't add custom-load.elc to the list of generated elc's.
	Use EXPLICIT_DOCS instead of explicitly giving the targets
	and dependencies.
	Eliminate the recursive building of the files using Makefile
	(now deleted) in subdirectory texinfo/.
	Use DOCS_TEXINFO_EXTENSION, since the docs are named .texinfo
	rather than .texi.
	* texi/Makefile: Delete.

2002-11-29  Ben Wing  <ben@xemacs.org>

	* .cvsignore: Remove files now handled automatically by CVS.
	* lisp/.cvsignore: Ditto.
	* Makefile: Use `compile' instead of hard-coded `all'.
	* texinfo/Makefile: Use `compile' instead of hard-coded `all'.

2002-10-15  Ville Skyttä  <scop@xemacs.org>

	* Makefile (srckit): Remove.
	(.PHONY): Ditto.

2002-10-14  Ville Skyttä  <scop@xemacs.org>

	* Makefile (MANUAL): Removed (unused).

2002-10-13  Ville Skyttä  <scop@xemacs.org>

	* Makefile (REQUIRES): Add indirect fsf-compat, eterm, and
	sh-script requirements.
	(PRELOADS): New, preload vm-version.

2002-07-15  Adrian Aichner  <adrian@xemacs.org>

	* lisp/bbdb-xemacs.el: It's XEmacs, not Xemacs.

2002-06-27  Steve Youngs  <youngs@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.21 released.

2002-06-12  Steve Youngs  <youngs@xemacs.org>

	* lisp/bbdb-vm.el (bbdb/vm-set-auto-folder-alist): Typo fix.

2002-03-25  Steve Youngs  <youngs@xemacs.org>

	* Makefile (VERSION): 1.20 released.

2002-03-17  Adrian Aichner  <adrian@xemacs.org>

	* texinfo/Makefile: include .../XEmacs.rules for generic HTML
	rules.
	* texinfo/Makefile (HTML_FILES): Moved here from ../Makefile.
	* texinfo/Makefile (HTML_DEP): Ditto.
	* texinfo/Makefile (all): Converted to double-colon
	* texinfo/Makefile (clean): Ditto.

2002-03-17  Adrian Aichner  <adrian@xemacs.org>

	* Makefile: Add html rule to invoke texinfo/Makefile.

2002-03-12  Adrian Aichner  <adrian@xemacs.org>

	* texinfo/bbdb.texinfo: Fix typos found
	by my own grep-for-likely-typo.pl.

2002-02-21  Nix  <nix@esperi.demon.co.uk>

	* lisp/bbdb-com.el (top-level): Evaluate fsets at runtime,
	as well as at compilation time.

2002-02-13  Steve Youngs  <youngs@xemacs.org>

	* Sync to BBDB 2.34.

	* lisp/bbdb-sc.el (bbdb-insinuate-sc): Autoload it.

2002-01-15  Waider  <waider@waider.ie>

	* testing/bbdb-test.el:
	  New file

	* bits/make.bat:
	  Merged in some changes from the mailing list. Note, this is
	  still experimental.

	* lisp/bbdb-com.el:
	  Don't fset things that aren't ours
	  Last of compiler warning cleanup
	  Fixed one more completion bug

2002-01-14  Waider  <waider@waider.ie>

	* lisp/bbdb-hooks.el:
	  Conditionalise the rmail load

	* lisp/bbdb-gui.el:
	  Make X/Emacs compatibility less intrusive

2002-01-13  Waider  <waider@waider.ie>

	* lisp/bbdb-hooks.el:
	  Don't force VM on people, even if it is a great mailer...

2002-01-10  Waider  <waider@waider.ie>

	* bbdb-com.el:
	  Last few fixes (hopefully) to completion

	* lisp/bbdb-snarf.el:
	  Make bbdb-rfc822-addresses the default address parser
	  Remove test-harness code to elsewhere (i.e. not in user code!)

	* lisp/bbdb.el:
	  Changed the workaround for set-keymap-prompt, as it seemed to be
	  clashing with VM. Ideally, all this Emacs/XEmacs stuff should go
	  in a separate file, or at least all in one part of bbdb.el.

2002-01-06  Waider  <waider@waider.ie>

	* lisp/bbdb-xemacs.el, lisp/bbdb-srv.el, lisp/bbdb-sc.el,
	  lisp/bbdb-gui.el, lisp/bbdb-ftp.el, lisp/bbdb-com.el,
	  lisp/bbdb-hooks.el, lisp/bbdb-w3.el, lisp/bbdb.el,
	  lisp/bbdb-snarf.el:
	Compiler cleanup

2002-01-04  Robert Fenk  <Robert.Fenk@gmx.de>

	* lisp/bbdb-snarf.el (bbdb-extract-address-component-regexps):
	Replaced the call of bbdb-clean-username bt a call to
	mail-extract-address-components in order to handle addresses of
	the form "Lastname, Firstname" and "Firstname Lastname, Jr" in the
	right way.
	(bbdb-test/bbdb-extract-address-components): New test function to
	check if everything is working as it should.

2002-01-03  Robert Fenk  <Robert.Fenk@gmx.de>

	* lisp/bbdb-com.el (bbdb-complete-name): fixed cycling when the
	current completion is equal to one of the nets.
	Added code for C-u M-TAB which lists all possible nets of current
	completed addess. 

2002-01-01  Waider  <waider@waider.ie>

	* lisp/bbdb-com.el (bbdb-complete-name):
	Two fixes based on further testing with completion-type.

2001-12-27  Waider  <waider@waider.ie>

	* lisp/bbdb-com.el 
	(bbdb-completing-read-one-record):
	Correctly handle case where no records are selected
	(bbdb-complete-name): 
	Whoops. Small logic error in cycling code

	* lisp/bbdb.el (bbdb-send-mail-style), 
	  lisp/bbdb-com.el (bbdb-send-mail-internal): 
	Add Mew as an option for bbdb-send-mail-style

2001-12-27  Jeff Bigler  <jcb@mit.edu>

	* lisp/bbdb-com.el (bbdb-phone-area-regexp):
	Allow / and . as separators when parsing a phone number.

2001-12-26  Waider  <waider@waider.ie>

	* lisp/bbdb-com.el (bbdb-complete-name):
	Mostly rewritten to consolidate the last four years(!) of code
	glomming.

	* lisp/bbdb.el (bbdb-search-intertwingle):
	New function. More stringent version of bbdb-search-simple,
	intended for internal bbdb use only

2001-12-10  Karl Fogel <kfogel@red-bean.com>

	* bbdb.texinfo
	(Mail Sending Interfaces):
	Use `add-hook' instead of `setq' in the examples, so users won't
	clobber existing hooks.
	(Known Bugs):
	Reference mailing lists, as is done in other places where the
	`bbdb-info' list is mentioned.

2001-11-19  Waider  <waider@waider.ie>

	* lisp/bbdb.el (bbdb-format-address):
	Several people contributed a patch to fix this. Alex Schroeder's
      	  was the most general as it handles both printing and
	  non-printing situations.

	* lisp/bbdb-print.el
	Some more fixes from Alex.

2001-11-12  Waider  <waider@waider.ie>

	* lisp/bbdb-snarf.el (bbdb-extract-address-component-regexps):
	Allow '+' as part of an email address
	
	* lisp/bbdb-com.el (bbdb-complete-name-allow-cycling):
	Documentation fix
	(bbdb-get-help-window):
	Removed dead code

	* lisp/bbdb.el
	Try to autoload the message-mode and mail-mode keymaps rather than
	defining them as nil.

2001-11-11  Waider  <waider@waider.ie>

	* lisp/bbdb-vm.el (bbdb/vm-set-auto-folder-alist-field):
	Move into mua-specific group
	(bbdb/vm-set-auto-folder-alist):
	Documentation typo

2001-11-06  Waider  <waider@waider.ie>

	* texinfo/bbdb.texinfo (Mail Sending Interfaces):
	Mention message-setup-hook in the mail aliases section
	(Raymond Scholz)

2001-10-14  Waider  <waider@waider.ie>

	* lisp/bbdb-gnus.el
	(bbdb/gnus-pop-up-bbdb-buffer):
	Move the call to bbdb-display-records back inside the (when...)
	I had two bug reports for this (Sudesh Joseph and Michael
	Totschnig).

	* lisp/bbdb.el:
	Added Nix's patch to make inside-bbdb-notice-hook work as
	advertised, also other bbdb-expire support.
	(bbdb-search-simple): 
	Try company name if record name is unset, before falling back to
	"". (Martin Schwenke)	

	* lisp/bbdb-com.el
	(bbdb-complete-name):
	Restored the original code to handle making sure primary addresses
	get picked first, since the code I'd replaced it with had some
	dubious side-effects.
	(bbdb-create-internal):
	Documentation fix. (Ueli Schläpfer)

2001-09-20  Robert Fenk  <Robert.Fenk@gmx.de>

	* lisp/bbdb.el (bbdb-create-hook), (bbdb-notice-hook):
	Added a note that hook functions might use the new variables
	bbdb-update-address-class and bbdb-update-address-header to obtain
	information about the currently processed email address.

	* lisp/bbdb-com.el (bbdb-get-addresses-headers): merged 
	bbdb-get-addresses-from-headers  and bbdb-get-addresses-to-headers
	into this variable.
	(bbdb-get-addresses): new generic function for extraction of email
	addresses from header, which is used by Gnus and VM
	(bbdb-update-address-class), (bbdb-update-address-header): new
	variable providing additional information to hook functions about
	the currently processed email address.
	
	* lisp/bbdb-gnus.el (bbdb/gnus-update-records): uses
	bbdb-get-addresses instead of bbdb/gnus-get-addresses which was
	removed. 
	(bbdb/gnus-show-sender), (bbdb/gnus-show-all-recipients),
	(bbdb/gnus-show-records): modified to use new style of
	bbdb-get-addresses-headers 
	
	* lisp/bbdb-vm.el (bbdb/vm-get-header-content): VM specific header
	extraction function.
	(bbdb/vm-update-records): bbdb-get-addresses instead of
	bbdb/vm-get-addresses which was removed.  
	(bbdb/vm-show-all-recipients),
	(bbdb/vm-show-sender), (bbdb/vm-show-records): modified to use new
	style of bbdb-get-addresses-headers 

	* lisp/bbdb-hooks.el (bbdb-auto-notes-alist): Additional element
	type to allow actions also on recipients of an message 
	(bbdb-auto-notes-hook): Fixed to perfom auto-note actions only for
	authors of a message.  Support for new features of
	bbdb-auto-notes-alist.  Honor bbdb-silent-running.

2001-09-18  Waider  <waider@waider.ie>

	* lisp/bbdb-snarf.el (bbdb-rfc822-addresses):
	Cope with rfc822-addresses returning nil as the car.

2001-09-11  Robert Fenk  <Robert.Fenk@gmx.de>

	* lisp/bbdb-print.el (bbdb-print-field-shown-p): Added as a
	replacement for bbdb-field-shown-p. 
	(bbdb-print-omit-fields): Added as a replacement for
	bbdb-print-elided-display. 

	* lisp/bbdb-com.el (bbdb-get-addresses-headers):
	bbdb-auto-notes-alist does not know if a address comes form a
	author or recipient of a message and therefore might update wrong
	records, e.g. the organization of recipients to that of the
	author.
	Therfore the default is now bbdb-get-addresses-from-headers until
	the hook functions are able to tell the type (author/recp) of an
	address. 

2001-09-09  Waider  <waider@waider.ie>

	* lisp/bbdb-gui.el: 
	Fixed bogus fset (fsetting variable instead of 'variable)
	(bbdb-hack-x-face): 
	use bbdb-find-face, not find-face

	* lisp/bbdb.el 
	(bbdb-initialize): 
	Fixed vm entry. vm-load-hook no longer exists!
	(bbdb-mode): 
	Removed references to bbdb-elide-record

2001-09-05  Robert Fenk  <Robert.Fenk@gmx.de>

	* lisp/bbdb-com.el (bbdb-complete-name-hooks): Fixed the
	documentation.
	(bbdb-get-only-first-address-p): fixed the default value, which
	should have been t

2001-09-04  Robert Fenk  <Robert.Fenk@gmx.de>

	* lisp/bbdb.el (bbdb-annotate-message-sender): calling of
	bbdb-create-hook functions moved to the end of function
	(bbdb-display-layout-alist): replaced by the nice version
	provided by Alex Schroeder <alex@gnu.org>

2001-08-31  Robert Fenk  <Robert.Fenk@gmx.de>

	* lisp/bbdb-hooks.el (bbdb-auto-notes-alist): applied posted
	patch of better customization.

	* lisp/bbdb-srv.el, lisp/bbdb-rmail.el, lisp/bbdb-mhe.el,
	lisp/bbdb-vm.el, lisp/bbdb-gnus.el, lisp/bbdb.el,
	lisp/bbdb-com.el: replaced occureneces of bbdb-elided-display and
	bbdb-pop-up-elided-display. 

	* lisp/bbdb-gui.el (build-bbdb-menu): Fix menus to use new display
	layout toggeling functions.

	* lisp/bbdb-com.el (bbdb-change-records-state-and-redisplay),
	(bbdb-toggle-all-records-display-layout),
	(bbdb-toggle-records-display-layout),
	(bbdb-display-all-records-completely),
	(bbdb-display-record-completely): modified functions for toggeling
	the display layout of records.  Old functions bbdb-elide-record
	and bbdb-unelide-records have been removed.

	* lisp/bbdb.el
	(bbdb-display-layout-alist): variable controling options for
	display layouts, support for user defines format functions still
	missing.
	(bbdb-display-layout): variable controling the default display layout
	(bbdb-pop-up-display-layout): variable controling  the default display
	layout for pop-up buffers. 
	(bbdb-elided-display), (bbdb-pop-up-elided-display): are obsolete
	variables now.
	(bbdb-elided-display-sanity-setup): function which sets up the
	layout variables from the obsolete bbdb-elided-display and
	bbdb-pop-up-elided-display variables.  Might be removed along with
	the variables in the future.
	(bbdb-format-record): rewitten to support multiple
	layouts according to bbdb-display-layout-alist
	(bbdb-format-record-layout-multi-line),
	(bbdb-format-record-layout-one-line),
	(bbdb-format-record-one-line-*): Function specific to certain
	layouts.

2002-01-13  Steve Youngs  <youngs@xemacs.org>

	* package-info.in (provides): Update to include all provides.

2002-01-07  Adrian Aichner  <adrian@xemacs.org>

	* Makefile (HTML_FILES): New.
	* Makefile (HTML_DEP): New.

2001-08-29  Steve Youngs  <youngs@xemacs.org>

	* Makefile (MAINTAINER): Change to Ronan Waide
	<waider@waider.ie>. 

2001-08-26  Steve Youngs  <youngs@xemacs.org>

	* lisp/bbdb.el (bbdb-initialize): Autoload it.

2001-08-13  Jeff Mincy  <jeff@delphioutpost.com>

	* lisp/bbdb-gui.el (bbdb-hack-x-face): Fix call to make-glyph.

2001-07-01  Steve Youngs  <youngs@xemacs.org>

	* Import BBDB 2.32

2000-11-07  Martin Buchholz <martin@xemacs.org>

	* ./texinfo/bbdb.texinfo: Doc fix.

2000-10-05  Martin Buchholz  <martin@xemacs.org>

	* *: Mega typo fix.

2000-08-22  Steve Youngs  <youngs@xemacs.org>

	* Makefile: Remove target 'clean' because it's covered in XEmacs.rules

2000-08-16  Andreas Jaeger  <aj@suse.de>

	* Makefile (REQUIRES): Require w3 for base64.

1999-01-24  Matt Simmons  <simmonmt@acm.org>

	* lisp/bbdb.el: BBDB 2.00.06 released

1999-01-24  Colin Rafferty  <colin@xemacs.org>

	* lisp/bbdb-gnus.el: (bbdb/gnus-score-as-text) Handle the fact
	  that `score' could be either an int or a string.
	
1999-01-21  Colin Rafferty  <colin@xemacs.org>

	* lisp/bbdb-com.el (bbdb-info): Made it work with Info-directory-list

1999-01-21  Sam Steingold  <sds@goems.com>

	* lisp/bbdb.el (bbdb-display-records-1): bind
	  `temp-buffer-setup-hook' and `temp-buffer-show-hook' to nil.
	  This fixes the problem of `view-mode' conflicting with
	  `bbdb-mode'.
	
1999-01-08  Jean-Yves Perrier  <perrier@nagra-kudelski.ch>

	* lisp/bbdb-comp.el (bbdb-redisplay-records): Don't bug out
	  with mark.

1999-01-08  Colin Rafferty  <colin@xemacs.org>

	* lisp/bbdb.el (bbdb-string-trim): Make it remove *all* text
	  properties from the string instead of just a few select ones.
	  Inspired by Sam Steingold <sds@goems.com>.

1999-01-08  Sam Steingold  <sds@goems.com>

	* lisp/bbdb.el (bbdb-save-db-timeout): Correct comment.

1998-12-31  Matt Simmons  <simmonmt@acm.org>

	* lisp/bbdb-snarf.el (bbdb-snarf-region): Autoload

1998-12-31  Colin Rafferty  <colin@xemacs.org>

	* lisp/bbdb-gnus.el (bbdb/gnus-snarf-signature): Created

1998-12-31  Matt Simmons  <simmonmt@acm.org>

	* lisp/bbdb.el: BBDB 2.00.05 released

1998-12-31  Matt Simmons  <simmonmt@acm.org>

	* INSTALL: Added documentation for those without make
	* lisp/bbdb-snarf.el: Merge in 1.8.1.x subtree

1998-12-30  Matt Simmons  <simmonmt@acm.org>

	* lisp/bbdb.el: BBDB 2.00.04 released

1998-12-29  Colin Rafferty  <colin@xemacs.org>

	* lisp/bbdb-com.el (bbdb-current-field): Made it handle the
	  blank user.
	
1998-12-24  Colin Rafferty  <colin@xemacs.org>

	* lisp/bbdb.el (bbdb-version): Made it take an option to output in 
	  current buffer.
	
1998-12-10  Colin Rafferty  <colin@xemacs.org>

	* lisp/bbdb.el (bbdb-load-hook): Moved after the provide.
	* lisp/bbdb.el (bbdb-display-records-1): Fix bug so that it
	  doesn't blow out on null records parameter.
	
1998-12-07  Colin Rafferty  <colin@xemacs.org>

	* lisp/bbdb-snarf.el (bbdb-snarf-web-prop): Fix it to be a symbol.
	* lisp/bbdb-snarf.el (bbdb-merge-internally): Use
	  bbdb-record-set-raw-notes.

1998-12-05  Matt Simmons  <simmonmt@acm.org>

	* lisp/bbdb.el: BBDB 2.00.03 released

1998-12-03  Adam C. Finnefrock <adam@bigbro.biophys.cornell.edu>

	* lisp/bbdb-gnus.el (bbdb/gnus-update-record): Honor
	  bbdb-user-mail-names.
	
1998-11-17  Colin Rafferty  <colin@xemacs.org>

	* lisp/bbdb-gnus.el (bbdb/gnus-show-sender): Use currently
	  selected summary line rather than what may be in *Article*
	  buffer.
	* lisp/bbdb-gnus.el (bbdb/gnus-edit-notes): ditto
	* lisp/bbdb-gnus.el (bbdb/gnus-annotate-sender): ditto
	
1998-11-09  Didier Verna <verna@inf.enst.fr>

	* lisp/bbdb-xemacs.el (bbdb-fontify-buffer): extent-data is
	  obsolete (and gone in XEmacs 21.2+).  Replace it.
	* lisp/bbdb-xemacs.el (bbdb-menu): ditto.
	
1998-10-27  Colin Rafferty  <colin@xemacs.org>

	* bbdb-com.el (bbdb-dwim-net-address-allow-redundancy): Created.
	* bbdb-com.el (bbdb-dwim-net-address): As inspired by Xavier Francois
	  Vigouroux, use `bbdb-dwim-net-address-allow-redundancy'.

1998-10-23  Colin Rafferty  <colin@xemacs.org>

	* lisp/bbdb.el: Changed mail list name from info-bbdb to
	  bbdb-info.

	* lisp/bbdb-print.el: Changed mail list name from info-bbdb to
	  bbdb-info.

	* texinfo/bbdb.texinfo: Changed mail list name from info-bbdb to
	  bbdb-info.
	
1998-10-13  Colin Rafferty  <colin@xemacs.org>

	* bbdb-snarf.el (bbdb-snarf-web-prop): Made it a symbol.

1998-10-13  Colin Rafferty  <colin@xemacs.org>

	* lisp/bbdb-com.el (bbdb-read-new-record): Check for integerp
	  explicitly with bbdb-default-area-code, instead of relying on
	  condition-case.

	* lisp/bbdb-print.el (bbdb-print-alist-widget): ditto.
	* lisp/bbdb-print.el (bbdb-print-alist): ditto.

1998-10-12  Adam C. Finnefrock  <adam@bigbro.biophys.cornell.edu>

	* lisp/bbdb-com.el (bbdb-info-file): Made it a choice, since nil didn't 
	  match the type: file.

1998-10-08  Colin Rafferty  <colin@xemacs.org>

	* lisp/bbdb.el (bbdb-version): BBDB 2.00.02 released

1998-07-19  SL Baur  <steve@altair.xemacs.org>

	* lisp/bbdb-migrate.el (bbdb-migration-query): Don't pass an
          integer to concat.

	* lisp/bbdb.el (bbdb-y-or-n-p): raise-screen -> raise-frame,
	  screen-visible-p -> frame-visible-p, selected-screen ->
	  selected-frame.
	* lisp/bbdb.el (bbdb-pop-up-bbdb-buffer-horizontally):
	  screen-width -> frame-width.

	* lisp/bbdb-xemacs.el (bbdb-fontify-buffer): set-extent-attribute
          -> set-extent-property, set-extent-data -> set-extent-property.
	* lisp/bbdb-xemacs.el (bbdb-hack-x-face): set-extent-data ->
	  set-extent-property.

	* lisp/bbdb-srv.el (bbdb/srv-handle-headers): Use new name for
	  set-window-buffer-dedicated.

Sat Apr 11 00:28:17 1998  Matt Simmons  <simmonmt@acm.org>

	* lisp/bbdb.el: BBDB 2.00.01 released
	* lisp/bbdb.el (bbdb-mode-map): Added bindings
	* lisp/bbdb.el (bbdb-mode-search-map): Created, bound search
	  functions to it.
	* lisp/bbdb.el (bbdb-initialize): Gutted
	* lisp/bbdb.el (bbdb-initialize-hook): Created
	* lisp/bbdb.el (bbdb-load-hook): Changed documentation
	* lisp/bbdb.el (advertized-bbdb-delete-current-field-or-record):
	  Began to remove support
	* lisp/bbdb-com.el (bbdb-changed): Syntax error in comment
	* lisp/bbdb-com.el (bbdb-phones): Changed prompt
	* lisp/bbdb-com.el (bbdb-net): Changed prompt
	* lisp/bbdb-com.el (bbdb-company): Changed prompt
	* lisp/bbdb-com.el (bbdb-name): Changed prompt
	* lisp/bbdb-com.el (bbdb): Changed prompt
	* lisp/bbdb-com.el (advertized-bbdb-delete-current-field-or-record):
	  Began to remove support
	* texinfo/bbdb.texinfo: Added EOL list.
	* texinfo/bbdb.texinfo: EOL'd
	  advertized-bbdb-delete-current-field-or-record.
	* texinfo/bbdb.texinfo: EOL'd GNUS support.
	* texinfo/bbdb.texinfo: Documented bbdb-initialize-hook
	* texinfo/bbdb.texinfo: Documented new bindings
	
Fri Mar 13 00:00:00 1998  Colin Rafferty  <colin@xemacs.org>

	* lisp/bbdb.el (bbdb-initialize): Made the autoloads be
	  conditionally loaded.
	* lisp/bbdb-com.el: Added ###autoload cookies.
	* lisp/bbdb-ftp.el: Added ###autoload cookies.
	* lisp/bbdb-gnus.el: Added ###autoload cookies.
	* lisp/bbdb-hooks.el: Added ###autoload cookies.
	* lisp/bbdb-mhe.el: Added ###autoload cookies.
	* lisp/bbdb-migrate.el: Added ###autoload cookies.
	* lisp/bbdb-print.el: Added ###autoload cookies.
	* lisp/bbdb-reportmail.el: Added ###autoload cookies.
	* lisp/bbdb-rmail.el: Added ###autoload cookies.
	* lisp/bbdb-sc.el: Added ###autoload cookies.
	* lisp/bbdb-snarf.el: Added ###autoload cookies.
	* lisp/bbdb-srv.el: Added ###autoload cookies.
	* lisp/bbdb-vm.el: Added ###autoload cookies.
	* lisp/bbdb-w3.el: Added ###autoload cookies.
	* lisp/bbdb-whois.el: Added ###autoload cookies.
	* lisp/bbdb-xemacs.el: Added ###autoload cookies.
	* lisp/auto-autoloads.el: Regenerated with new autoloads.

Tue Mar 31 23:46:05 1998  Matt Simmons  <simmonmt@acm.org>

	* lisp/bbdb-migrate.el (bbdb-migrate-change-dates-change-field):
	  Use %S instead of %s for error messages.

Tue Mar 17 00:00:00 1998  Colin Rafferty  <colin@xemacs.org>

	* lisp/bbdb-hooks.el (bbdb-timestamp-hook): Made
 	  `format-time-string' take two arguments for XEmacs 19.15.
	* lisp/bbdb-hooks.el (bbdb-creation-date-hook): Same.

Mon Mar 16 20:02:00 1998  Matt Simmons  <simmonmt@acm.org>

	* Makefile: Fix for compatibility with other makes
		
Sun Mar 15 23:46:00 1998  Matt Simmons  <simmonmt@acm.org>

	* lisp/bbdb.el: BBDB 2.00 released

Fri Mar 13 01:52:00 1998  Matt Simmons  <simmonmt@acm.org>

	* lisp/bbdb.el: BBDB 1.91unoff released

Wed Mar 12 15:37:86 1998  Colin Rafferty  <colin@xemacs.org>

	* lisp/bbdb.el (parse-bbdb-internal): Fixed the error message on
	  mismatched bbdb-file-format.

Fri Feb 06 00:00:00 1998  Colin Rafferty  <colin@xemacs.org>

	* bbdb-com.el (bbdb-current-field): Made it correctly count the
	  number of lines of a specially-formatted note field.

Mon Mar 09 23:25:00 1998  Matt Simmons  <simmonmt@acm.org>

	* lisp/bbdb.el: BBDB 1.90unoff released
	* lisp/bbdb.el (defface): Fixed defface standin
	* lisp/bbdb.el (bbdb-alist-with-header): Created widget for
	  bbdb-auto-notes-alist custom fix.
	* lisp/bbdb.el (bbdb-create-hook): Default to bbdb-creation-date-hook
	* lisp/bbdb.el (bbdb-change-hook): Default to bbdb-timestamp-hook
	* lisp/bbdb.el (bbdb-initialize): Added autoload for bbdb-srv
	* Makefile: Removed my paths
	* Makefile: Added 19.34 comment about Custom
	* Makefile: Started test harness for 19.34 and 20.2
	* INSTALL: Added 19.34 comment about Custom
	* lisp/Makefile: Fixed 19.34 problem with custom (:link bug)
	* lisp/bbdb-hooks.el (bbdb-auto-notes-alist): Fixed customization
	* lisp/bbdb-srv.el (bbdb/srv-handle-headers): buffer-disable-undo
	  doesn't always return the argument
	* texinfo/bbdb.texinfo: Finished revisions.
	
Mon Mar 09 03:03:21 1998  Carsten Leonhardt  <leo@arioch.oche.de>

	* lisp/bbdb-xemacs.el (bbdb-fontify-buffer): don't access
	  scrollbars on XEmacsen without scrollbars

Mon Mar 02 00:00:00 1998  Colin Rafferty  <colin@xemacs.org>

	* bbdb-com.el (bbdb-refile-notes-generate-alist): Created.
	* bbdb-com.el (bbdb-refile-notes-default-merge-function): Created.
	* bbdb-com.el (bbdb-refile-notes-remove-duplicates): Created.
	* bbdb-com.el (bbdb-refile-notes-string-least): Create.
	* bbdb-com.el (bbdb-refile-record): Use `bbdb-refile-notes-generate-alist'
	  and `bbdb-refile-notes-default-merge-function' for merging notes.

Wed Feb 25 23:35:00 1998  Matt Simmons  <simmonmt@acm.org>

	* lisp/bbdb-print.el (bbdb-print-alist-widget): Protect bbdb-default-area-code
	* lisp/bbdb-print.el (bbdb-print-alist): Protect bbdb-default-area-code
	* lisp/bbdb-com.el (bbdb-read-new-record): Protect bbdb-default-area-code
	* lisp/bbdb-com.el (bbdb-prompt-for-new-field-value): Protect bbdb-default-area-code
	* lisp/bbdb-com.el (bbdb-dial): Protect bbdb-default-area-code
	
Sat Jan 16 00:00:00 1998  Colin Rafferty  <colin@xemacs.org>

	* lisp/Makefile (extras): fixed typo in bbdb-migrate.elc

Sun Feb 22 20:58:00 1998  Matt Simmons  <simmonmt@acm.org>

	* lisp/bbdb.el: BBDB 1.59unoff released
	* lisp/bbdb.el: Created defface stand-in macro
	* lisp/bbdb.el (bbdb-initialize): Reword
	* lisp/bbdb.el (bbdb-initialize): Add keybinding for bbdb-print
	* lisp/bbdb.el (bbdb-initialize): Add autoloads for
	  bbdb-show-all-recipients (bbdb-com), bbdb-ftp, bbdb-print
	* lisp/bbdb.el (bbdb-initialize): Use bbdb-add-hook if none in Emacs
	* lisp/bbdb-ftp.el: Changed comment - can use EFS
	* lisp/bbdb-gnus.el: Changed GNUS/Gnus stuff around to reflect docs
	* lisp/bbdb-gnus.el (bbdb/gnus-summary-author-in-bbdb): Now uses
	  `bbdb-message-marker-field' as documented
	* lisp/bbdb-gnus.el (bbdb-insinuate-gnus): Use `add-hook', not
	  `bbdb-add-hook'
	* lisp/bbdb-hooks.el: Use add-hook, not bbdb-add-hook
	* lisp/bbdb-mhe.el: Use add-hook, not bbdb-add-hook
	* lisp/bbdb-rmail.el: Use add-hook, not bbdb-add-hook
	* lisp/bbdb-vm.el: Use add-hook, not bbdb-add-hook
	* lisp/bbdb-xemacs.el: Use add-hook, not bbdb-add-hook
	* lisp/bbdb-print.el: Moved key binding to bbdb.el
	* lisp/bbdb-print.el: Changed default of `bbdb-print-elide'
	* lisp/bbdb-print.el (bbdb-print-alist-widget): Fixed problem with 
	  nil `bbdb-default-area-code'
	* lisp/bbdb-sc.el: Fixed intro comments
	* lisp/bbdb-sc.el: Use add-hook, not bbdb-add-hook
	* Makefile: Alphabetized MUA directory variables, added OTHERDIR
	  variable
	* lisp/Makefile: Support for OTHERDIR, rearranged flags to Emacs
	  so we can use bbdb-split-string (19.34 doesn't have split-string)
	* texinfo/bbdb.texinfo: Almost finished doc rewrite
	* misc/bbdb_gnus-summary-get-author.fig: Created

Fri Feb 20 19:31:00 1998  Christopher Kline <ckline@media.mit.edu>

        * texinfo/bbdb.texinfo: Documentation for BBDB-Reportmail

Thu Feb 19 13:41:17 1998  Sam Steingold <sds@usa.net>

	* lisp/bbdb.el (bbdb-version): Return a string if non-interactive
	  
Mon Jan  5 20:40:03 1998  Matt Simmons  <simmonmt@acm.org>

	* lisp/bbdb.el: BBDB 1.58unoff released
	* lisp/auto-autoloads.el: Removed all autoloads except `bbdb-initialize'
	* lisp/bbdb-com.el: Fixed copyright
	* lisp/bbdb-com.el: Removed autoloads
	* lisp/bbdb-com.el: Finger group changed
	* lisp/bbdb-com.el (bbdb-compare-records): Changed to backquote notation
	* lisp/bbdb-ftp.el: Customized
	* lisp/bbdb-ftp.el: Added provide of bbdb-ftp
	* lisp/bbdb-gnus.el: Removed autoloads
	* lisp/bbdb-gnus.el (bbdb/gnus-summary-prefer-real-names): Reformatted doc
	* lisp/bbdb-gnus.el (bbdb/gnus-score-as-text): Remove `when'
	* lisp/bbdb-gnus.el (bbdb-insinuate-gnus): Remove `when'
	* lisp/bbdb-hooks.el: Added provide of bbdb-hooks
	* lisp/bbdb-hooks.el (bbdb-time-internal-format): Replaces bbdb-time-string
	* lisp/bbdb-hooks.el (bbdb-ignore-most-messages-alist): Fixed custom spec
	* lisp/bbdb-hooks.el (bbdb-ignore-some-messages-alist): Fixed custom spec
	* lisp/bbdb-hooks.el (bbdb-auto-notes-alist): Fixed custom spec
	* lisp/bbdb-hooks.el (bbdb-auto-notes-ignore): Fixed custom spec
	* lisp/bbdb-hooks.el (bbdb-auto-notes-ignore-all): Fixed custom spec
	* lisp/bbdb-migrate.el: Created from migrate code in bbdb.el
	* lisp/bbdb-print.el: Customized
	* lisp/bbdb-print.el: Removed autoloads
	* lisp/bbdb-reportmail.el: Changed setup docs, added RCS ID and Log strings
	* lisp/bbdb-sc.el: Fixed jwz's e-mail address
	* lisp/bbdb-sc.el: Customized
	* lisp/bbdb-sc.el: Removed autoloads
	* lisp/bbdb-sc.el: Added provide of bbdb-sc
	* lisp/bbdb-snarf.el: Customized
	* lisp/bbdb-snarf.el: Removed autoloads
	* lisp/bbdb-srv.el: Rearranged copyright
	* lisp/bbdb-srv.el: Customized
	* lisp/bbdb-w3.el: Removed autoloads
	* lisp/bbdb-w3.el: Added provide of bbdb-w3
	* lisp/bbdb-whois.el: Added to copyright
	* lisp/bbdb-whois.el: Customized
	* lisp/bbdb-xemacs.el: Removed autoloads
	* lisp/bbdb.el: Added define-widget definition for users without Custom
	* lisp/bbdb.el: Added utilities custom groups
	* lisp/bbdb.el: Removed migration code
	* lisp/bbdb.el: Commented some code
	* lisp/bbdb.el (bbdb-string-trim): Delete still more text properties
	* lisp/bbdb.el (bbdb-save-db): Made error message slightly more obvious
	* lisp/bbdb.el (bbdb-initialize): Added symbols for selective insinuation
	* lisp/bbdb.el (bbdb-initialize): Rearranged and added some autoloads
	* Makefile: Added migrate.el
	* Makefile: Added deploy target
	* texinfo/bbdb.texinfo: Changed `setq' to `add-hook' in setup instructions
	* texinfo/bbdb.texinfo: Added to Internals section
	
Mon Dec  1 09:00:12 1997  Matt Simmons  <simmonmt@acm.org>

	* lisp/bbdb.el: BBDB 1.57Aunoff released
	* texinfo/bbdb.texinfo: Documented new startup procedure
	* INSTALL: Documented new startup procedure

Sun Nov 30 23:26:21 1997  Matt Simmons  <simmonmt@acm.org>

	* lisp/bbdb.el: BBDB 1.57unoff released

Sun Nov 30 22:47:04 1997  Sam Steingold  <sshteingold@cctrading.com>

	* lisp/bbdb-hooks.el (bbdb-time-string): Uses format string now
	* lisp/bbdb-com.el (bbdb-display-some): Added
	* lisp/bbdb-com.el (bbdb-kill-older): Created
	* lisp/bbdb-com.el (bbdb-timestamp-older): Created
	* lisp/bbdb-com.el (bbdb-timestamp-newer): Created
	* lisp/bbdb-com.el (bbdb-creation-older): Created
	* lisp/bbdb-com.el (bbdb-creation-newer): Created

Sun Nov 30 22:44:42 1997  Matt Simmons  <simmonmt@acm.org>

	* lisp/auto-autoloads.el: Autoloads for date functions
	* lisp/bbdb-com.el (bbdb-complete-clicked-name): Make 19.34 happy
	* lisp/bbdb-com.el (bbdb-compare-records): Created
	* lisp/bbdb-com.el: Customized variables
	* lisp/bbdb-gnus.el: Customized variables
	* lisp/bbdb-hooks.el: Customized variables
	* lisp/bbdb.el: Customized variables
	* lisp/bbdb.el: Added timezone require to support date functions
	* lisp/bbdb.el: Added migration functions, changed database version
	* lisp/bbdb.el: Added definitions for utility functions that don't 
	                appear in all Emacsen (in the case of string>, in none)
	* lisp/bbdb.el (defstruct): Added documentation
	* lisp/bbdb.el (bbdb-format-record): Can now define printing
	                                     functions for each note field
		                             (bbdb-format-record-fieldname)
	* lisp/bbdb.el (bbdb-copy-thing): Created
	* lisp/bbdb.el (bbdb-initialize): Created - Use it to initialize
	* texinfo/Makefile (clean): Changed since we now distribute *.info*
	* texinfo/Makefile (reallyclean): clean + removes *.info*
	* texinfo/bbdb.texinfo: Removed `BBDB database' per jwz, added
	                        prereq section, more special fields, some
				internals.
	* INSTALL: Created
				
Thu Oct 30 07:06:15 1997  Hrvoje Niksic <hniksic@srce.hr>

	* lisp/bbdb.el: Custom blob to make defcustom and defgroup
	  transparent in non-customized Emacsen

Sun Nov 30 12:03:41 1997  Soren Dayton <csdayton@cs.uchicago.edu>

	* lisp/bbdb-print.el (bbdb-print-tex-quote): Escape tildes properly

Tue Nov 10 20:10:53 1997 Jens-Ulrik Holger Petersen <petersen@kurims.kyoto-u.ac.jp>

	* lisp/bbdb-gnus.el (bbdb-insinuate-gnus): Improve output of
	  warning messages.
	* lisp/bbdb-gnus.el (bbdb/gnus-summary-known-poster-mark): Correct 
	  docstring. 

Sat Nov  8 17:00:21 1997  Matt Simmons  <simmonmt@acm.org>

	* lisp/bbdb.el (bbdb-string-trim): Just remove 'face property.
	* lisp/bbdb.el: Define `defvaralias' as empty function if it's not 
	  defined.  (GNU Emacs doesn't have it)

Sun Nov  2 01:32:23 1997  Matt Simmons  <simmonmt@acm.org>

	* lisp/bbdb.el: BBDB 1.56unoff released 
	* lisp/bbdb-sc.el: Added
	* lisp/bbdb-gnus.el (bbdb-insinuate-gnus): Commented back in score 
	  hook addition, can now set up format functions one at a time
	  (latter based on function from Christoph Wedler)
	* lisp/bbdb-gnus.el (bbdb/gnus-score-default-internal): Added to
	  automagically catch changes to `bbdb/gnus-score-default'.
	* lisp/bbdb-gnus.el (bbdb/gnus-annotate-sender): Now takes REPLACE 
	  argument.
	* lisp/bbdb-vm.el (bbdb/vm-annotate-sender): Ditto
	* lisp/bbdb-mhe.el (bbdb/mh-annotate-sender): Ditto
	* lisp/bbdb-rmail.el (bbdb/rmail-annotate-sender): Ditto
	* lisp/auto-autoloads.el: Support for bbdb-sc, housekeeping for others.
	* Makefile (install-pkg): Bug fix.
	* texinfo/bbdb.texinfo: More rewriting, documentation for the
	  Summary Buffer stuff in bbdb-gnus.el

Tue Oct 28 16:08:54 1997  Christoph Wedler  <wedler@fmi.uni-passau.de>

	* lisp/bbdb-gnus.el (bbdb/gnus-define-format-functions): New
 	  variable.
	* lisp/bbdb-gnus.el (bbdb-insinuate-gnus): Use it.  Only define user
	  functions the first time.  Use `bbdb-warn' instead `error'.
	* lisp/bbdb.el (bbdb-warn): New function.  Use it.

Sun Oct 26 20:47:20 1997  Matt Simmons  <simmonmt@acm.org>

	* lisp/auto-autoloads.el: Remove summary buffer autoloads
	* lisp/bbdb-gnus.el: Variable aliases for backward compatibility
	* lisp/bbdb-gnus.el (bbdb/gnus-summary-user-format-letter): Add
	  more descriptive documentation.
	* lisp/bbdb-gnus.el (bbdb/gnus-summary-in-bbdb-format-letter): Added
	* lisp/bbdb-gnus.el (bbdb/gnus-lines-and-from): Variable name change
	* lisp/bbdb-gnus.el (bbdb/gnus-summary-author-in-bbdb): Added
	* lisp/bbdb-gnus.el (bbdb-insinuate-gnus): Commented out score
	  insinuation, add %ub summary line code creation
	* lisp/bbdb.el: Remove summary buffer autoloads

Sun Oct 26 00:14:36 1997  Matt Simmons  <simmonmt@acm.org>

	* lisp/bbdb.el: BBDB 1.55unoff released
	* texinfo/bbdb.texinfo: Partial rewrite
	* lisp/bbdb.el: new autoloads.  Override bbdb-display-completion-list
	  for XEmacs users.
	* lisp/bbdb-w3.el (bbdb-www): Uses browse-url-browser-function
	  instead of a manual funcall 
	* lisp/bbdb-snarf.el (bbdb-snarf-region): Toss trailing space too

Sat Oct 25 23:47:40 1997  Brian Edmonds  <edmonds@cs.ubc.ca>
Sat Oct 25 23:47:40 1997  Matt Simmons  <simmonmt@acm.org>

	* lisp/bbdb-gnus.el: Changed *everything* beginning with
          `gnus-bbdb' to `bbdb/gnus'
	* lisp/bbdb-gnus.el (bbdb/gnus-summary-get-author): Integrated (along
	  with associated variables and functions)
	* lisp/bbdb-gnus.el (bbdb/gnus-score): Integrated (along with
	  associated variables and functions)
	* lisp/bbdb-gnus.el (bbdb-insinuate-gnus): Activate above new
	  features

Sat Oct 25 17:54:26 1997  Marco Walther  <Marco.Walther@mch.sni.de>
Sat Oct 25 17:54:26 1997  Matt Simmons  <simmonmt@acm.org>

	* lisp/bbdb-com.el (bbdb-complete-name): Clicking on name in
	  completion buffer now restores configuration (uses callback below)
	* lisp/bbdb-com.el (bbdb-complete-clicked-name): Created.  See above
	* lisp/bbdb-com.el (bbdb-display-completion-list): Wrapper 
	* lisp/bbdb-xemacs.el (bbdb-xemacs-display-completion-list):
	  XEmacs version of bbdb-display-completion-list, allows callbacks
	* lisp/auto-autoloads.el: autoload for XEmacs version of
	  bbdb-display-completion-list

Mon Oct 20 18:38:28 1997  Colin Rafferty  <craffert@ml.com>

	* Makefile (install-pkg): Made it install the el before the .elc.

Mon Oct 20 12:15:15 1997  Christoph Wedler  <wedler@fmi.uni-passau.de>

	* lisp/bbdb-xemacs.el (global-bbdb-menu-commands): Bug fix "Finger
 	  All Records".
	* lisp/bbdb-xemacs.el (build-bbdb-finger-menu): Use
	  `bbdb-record-finger-host'.
	* lisp/bbdb-com.el (bbdb-finger): Doc string extension.
	* texinfo/bbdb.texinfo (BBDB Mode): Add documentation for
	  `bbdb-finger'.

Tue Oct 14 20:06:38 1997  david carlton <carlton@math.mit.edu>

	* Makefile (install-pkg): Fix info linking - use texinfo, not info

Mon Oct 13 16:41:27 1997  Soren Dayton <csdayton@cs.uchicago.edu>

	* lisp/bbdb-w3.el (bbdb-www): Use browse-url instead of funcalling
	  contents of browse-url-browser-function.

Sat Oct 11 19:19:27 1997  Matt Simmons  <simmonmt@acm.org>

	* bbdb.el: BBDB 1.54unoff released
	* lisp/Makefile: Changed VM, GNUS, and MHE definitions so they can 
	  be blank if the packages are in load-path.  Added bbdb-snarf and 
	  bbdb-w3.  Made bbdb-srv and bbdb-reportmail skipping messages more
	  informative.  Added check for itimer for bbdb-srv.
	* lisp/bbdb-w3.el (bbdb-insinuate-w3): Created from bare add-hook
	  statement found in David's version.  Add this to w3-mode-hook
	  (yes, that's singular, not plural)
	* lisp/bbdb-w3.el (bbdb-www): Modified to use
	  browse-url-browser-function instead of having two functions, one 
	  for netscape and one for w3.
	* lisp/bbdb-snarf.el: Fixed area code pattern to use [2-9] instead 
	  of [0-9] for first digit.
	* lisp/auto-autoloads.el: Autoloads for bbdb-snarf, bbdb-www,
	  changed package dir from `bbdb-1.52' to `bbdb', autoload for
	  bbdb-insinuate-message.
	* lisp/bbdb.el: Added autoloads for bbdb-insinuate-message,
	  bbdb-www, bbdb-www-grab-homepage, bbdb-insinuate-w3, bbdb-snarf.
	* lisp/bbdb.el (bbdb-mode): Documentation for bbdb-www `w' keystroke
	* lisp/bbdb.el (bbdb-mode-map): bbdb-www invocation
	* lisp/bbdb.el (bbdb-split): Documented.
	* lisp/bbdb-gnus.el (bbdb-insinuate-message): Use it.  Sets the
	  M-t binding for message-mode.  This isn't in bbdb-insinuate-gnus 
	  because some like to use message-mode before loading gnus.  Add
	  it to `message-setup-hook', _not_ `message-load-hook'.

Sat Oct 11 19:01:00 1997  David Carlton <carlton@math.mit.edu>

	* lisp/bbdb-w3.el: Added to bbdb distribution.  I don't know who
	  the original author is, but David mailed it to me.
	  
Sat Oct 11 19:00:00 1997  John Heidemann <johnh@isi.edu>

	* lisp/bbdb-snarf.el: Added to bbdb distribution.  Grabs text from 
	  paragraph around point and makes a bbdb record out of it.  See
	  the source for docs until I get around to adding to the texinfo
	  file.

Sat Oct 11 18:50:52 1997  Kees de Bruin <kees_de_bruin@tasking.nl>

	* lisp/bbdb-vm.el (bbdb/vm-alternate-full-name): make VM use the
	  canonicalized net address instead of the default address.
	* lisp/bbdb-com.el (bbdb-sendmail-internal): Still more
 	  message-mode fixes.  Default to message-mode if neither mh-e nor
 	  vm are in `features'.  If message-mode is to be used and it's not
 	  loaded, autoload it.

Thu Oct  9 06:37:00 1997  Matt Simmons <simmonmt@acm.org>
        * lisp/Makefile: Check for itimer before building bbdb-srv.
          Complain nicely when check fails.

Sun Oct  5 20:16:00 1997  Matt Simmons <simmonmt@acm.org>
	* bbdb.el: BBDB 1.53unoff released

Sun Oct  5 19:53:12 1997  Boris Goldowsky <boris@gnu.ai.mit.edu>
	* tex/bbdb-cols.tex, tex/bbdb-print-brief.tex, tex/bbdb-print.tex,
	  lisp/bbdb-print.el: New version of bbdb-print

Sun Oct  5 19:51:21 1997  Jamie Zawinski <jwz@netscape.com>
	* utils/bbdb-cid.pl, utils/bbdb-src.pl, utils/bbdb-to-netscape.el:
	  New utilities
	* lisp/bbdb-com.el (bbdb-parse-phone-number): Changed comment to
	  reflect new area codes that don't have [012] as their second digit
	* lisp/bbdb-srv.el (bbdb/srv-auto-create-mail-news-dispatcher):
	  Classification of messages as mail or news
	* lisp/bbdb-srv.el (bbdb-src-add-phone): Supports caller ID util
	* lisp/bbdb-srv.el (bbdb/srv-handle-headers): Make sure *BBDB* is
	  bottommost buffer

Sun Oct  5 19:51:20 1997  Seth Golub  <seth@cs.wustl.edu>
	* utils/bbdb-areacode-split.pl: New utility
	
Sun Oct  5 19:51:19 1997  Matt Simmons  <simmonmt@acm.org>

	* A grand reorg: .tex files -> tex subdirectory,
	                 .texinfo files -> texinfo subdirectory,
			 .el files -> lisp subdirectory,
	* Makefile: modified all Makefiles to deal with reorg,
	            rewrote XEmacs package section
	* lisp/bbdb.el (bbdb-frob-mode-line): I like version numbers on modelines
	* lisp/bbdb.el (bbdb-version-date): Separate date from version number
	* lisp/bbdb.el (bbdb-version): Modified to deal with version
	  number separate from date

Mon Sep 29 18:49:47 1997  Matt Simmons  <simmonmt@acm.org>

	* Makefile: patch to avoid building bbdb-srv and bbdb-reportmail
	          if gnuserv and reportmail (respectively) aren't present
	* bbdb.el (bbdb-frob-mode-line): Print the version number on the
                  mode line

Sun Sep 28 00:50:07 1997  Matt Simmons  <simmonmt@acm.org>

	* bbdb.el: BBDB 1.52unoff released
	* bbdb.el (bbdb-y-or-n-p): Fix obsolete functions
	* bbdb-ftp.el: Added check for efs
	* Makefile: renamed it, removed mail-extr and mail-abbrev, did
		  some reformatting

Sun Sep 28 00:49:00 1997  Colin Rafferty <craffert@ml.com>

        * auto-autoloads.el, Makefile: Use BBDB as an XEmacs package

Sun Sep 28 00:03:31 1997  Jens-Ulrik Hoger Petersen <petersen@kurims.kyoto-u.ac.jp>

	* bbdb-gnus.el (bbdb/gnus-update-record): Changed method for
		  referencing article buffer.  Needed when
		  gnus-single-article-buffer is nil.
	* bbdb-hooks.el (bbdb-header-start): See above.

Sat Sep 27 23:56:35 1997  Christopher Kline <ckline@mitre.org>

	* bbdb-reportmail.el: Created

Sat Sep 27 23:47:01 1997  Soren Dayton <csdayton+bbdb@cs.uchicago.edu>

	* bbdb-com.el (bbdb-send-mail-internal): Allow use of message-mail
	* bbdb.el (bbdb-send-mail-style): Documentation change.  See above.

Sat Sep 27 23:44:43 1997  Colin Rafferty <craffert@ml.com>

	* bbdb.el (bbdb-annotate-message-sender): Use address for name if no name

Sat Sep 27 23:39:09 1997  Christoph Wedler <wedler@fmi.uni-passau.de>

	* bbdb-com.el (bbdb-finger-host-field): Added code to check for
		  finger-host field.  Finger is done on finger-host if it
		  exists, on net address otherwise.

Sat Sep 27 20:06:05 1997  Matt Simmons  <simmonmt@acm.org>

	* bbdb-com.el (bbdb-phone-area-regexp): Fix US area code pattern
